/*
 * Copyright 2006-2008 the original author or authors.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.springframework.osgi.service.importer.support.internal.controller;

import org.springframework.osgi.service.importer.support.internal.dependency.ImporterStateListener;

/**
 * Contract describing the exporter internal actions that interfere with its
 * behaviour but should not be controller in the public API.
 * 
 * @author Costin Leau
 */
public interface ImporterInternalActions {

	void addStateListener(ImporterStateListener stateListener);
	
	void removeStateListener(ImporterStateListener stateListener);
	
	boolean isSatisfied();
}
